﻿/*
 Pre-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be executed before the build script.	
 Use SQLCMD syntax to include a file in the pre-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the pre-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------

Use CompareVersions to compare versions.
CompareVersions returns: 1 if the first parameter is greater; -1 if second parameter is greater; 0 if equal

X.X.X.X current version
Y.Y.Y.Y Version where the query should be applied
IF dbo.[CompareVersions]('7.1.3','7.1.2.2') = 1
	UPDATE ...
*/

-- Initialize update
DECLARE @CurrentDate VARCHAR(50) = (SELECT CONVERT(VARCHAR(50), GETDATE()))
IF NOT EXISTS (SELECT TOP 1 * FROM sys.extended_properties WHERE Name = 'UpdateDBStartTime')
	EXECUTE sp_addextendedproperty @name = 'UpdateDBStartTime', @value = @CurrentDate
ELSE
	EXECUTE sp_updateextendedproperty @name = 'UpdateDBStartTime', @value = @CurrentDate

IF (NOT EXISTS (SELECT * FROM tempdb.INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'TempExtendedProperties'))
	CREATE TABLE tempdb.dbo.TempExtendedProperties(Name varchar(100),Value varchar(100))

INSERT INTO tempdb.dbo.TempExtendedProperties(Name, Value)
SELECT CONVERT(VARCHAR(100), Name), CONVERT(VARCHAR(100), Value) FROM sys.extended_properties WHERE Name IN ('DBVersion','IsStoreHQ','StoreId','DBLevel', 'CashRegister', 'ClientName')
GO
